Skip to main content
GET
/
api
/
v1
/
transaction
/
{id}
Retrieves a transaction item.
curl --request GET \
  --url https://api.example.com/api/v1/transaction/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.example.com/api/v1/transaction/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.example.com/api/v1/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "operatorId": "<string>",
  "updatedTs": "2023-11-07T05:31:56Z",
  "createdTs": "2023-11-07T05:31:56Z",
  "isIdEmpty": true,
  "createdBy": "<string>",
  "hidden": true,
  "deleted": true,
  "importId": "<string>",
  "integrationType": "<string>",
  "customerId": "<string>",
  "type": "<string>",
  "externalId": "<string>",
  "externalCustomerId": "<string>",
  "externalBrandId": "<string>",
  "externalProductId": "<string>",
  "country": "<string>",
  "country_code": "<string>",
  "depositAmount": 123,
  "firstTransaction": true,
  "grossRevenue": 123,
  "revenueAmount": 123,
  "wageredAmount": 123,
  "taxes": 123,
  "costOfGoodsSold": 123,
  "paymentFees": 123,
  "cpaQualified": true,
  "revShareCommission": 123,
  "cpaCommission": 123,
  "fixedCommission": 123,
  "transactionDate": "2023-11-07T05:31:56Z",
  "tracking": {
    "clickId": "<string>",
    "affiliateId": "<string>",
    "affiliateName": "<string>",
    "affiliateTrackerId": "<string>",
    "affiliateTrackerName": "<string>",
    "brandId": "<string>",
    "brandName": "<string>",
    "productId": "<string>",
    "productName": "<string>",
    "mediaId": "<string>",
    "media": {
      "type": "<string>",
      "text": "<string>",
      "imageUrl": "<string>"
    },
    "customParameter": "<string>",
    "date": "2023-11-07T05:31:56Z",
    "referringUrl": "<string>"
  },
  "category": "<string>",
  "label": "<string>",
  "note": "<string>",
  "childAffiliateIds": [
    "<string>"
  ],
  "payoutInfo": {
    "affiliateId": "<string>",
    "affiliateName": "<string>",
    "invoicePeriod": "<string>",
    "invoiceDate": "2023-11-07T05:31:56Z",
    "dueDate": "2023-11-07T05:31:56Z",
    "payoutMethod": {
      "id": "<string>",
      "operatorId": "<string>",
      "updatedTs": "2023-11-07T05:31:56Z",
      "createdTs": "2023-11-07T05:31:56Z",
      "isIdEmpty": true,
      "createdBy": "<string>",
      "hidden": true,
      "deleted": true,
      "companyId": "<string>",
      "companyName": "<string>",
      "type": "<string>",
      "payee": "<string>",
      "walletAddress": "<string>",
      "email": "<string>",
      "iban": "<string>",
      "swift": "<string>",
      "accountNumber": "<string>",
      "sortcode": "<string>",
      "bankName": "<string>",
      "bankAddress": {
        "addressLine": "<string>",
        "addressLine2": "<string>",
        "city": "<string>",
        "region": "<string>",
        "country": "<string>",
        "postcode": "<string>"
      }
    },
    "paymentDate": "2023-11-07T05:31:56Z",
    "amount": 123,
    "tax": 123,
    "total": 123,
    "notes": "<string>",
    "email": "<string>",
    "website": "<string>",
    "affiliateContact": "<string>",
    "affiliateCompany": "<string>",
    "affiliateCompanyNo": "<string>",
    "affiliateAddress": {
      "addressLine": "<string>",
      "addressLine2": "<string>",
      "city": "<string>",
      "region": "<string>",
      "country": "<string>",
      "postcode": "<string>"
    },
    "affiliateTaxIds": [
      {
        "id": "<string>",
        "value": "<string>",
        "type": "<string>",
        "country": "<string>",
        "stripeId": "<string>",
        "stripeStatus": "<string>"
      }
    ],
    "affiliateVatRegistered": true,
    "affiliateTaxRate": 123,
    "companyName": "<string>",
    "companyInvoiceAddress": {
      "addressLine": "<string>",
      "addressLine2": "<string>",
      "city": "<string>",
      "region": "<string>",
      "country": "<string>",
      "postcode": "<string>"
    },
    "companyTaxIds": [
      {
        "id": "<string>",
        "value": "<string>",
        "type": "<string>",
        "country": "<string>",
        "stripeId": "<string>",
        "stripeStatus": "<string>"
      }
    ],
    "companyNumber": "<string>",
    "accountsEmail": "<string>",
    "currencyCode": "<string>"
  },
  "planId": "<string>",
  "planName": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Headers

X-Api-Key
string

Path Parameters

id
string
required

The unique identifier of the transaction item.

Response

OK

id
string | null
operatorId
string | null
updatedTs
string<date-time>
createdTs
string<date-time> | null
isIdEmpty
boolean
read-only
createdBy
string | null
hidden
boolean
deleted
boolean
importId
string | null
integrationType
string | null
customerId
string | null
type
string | null
externalId
string | null
externalCustomerId
string | null
externalBrandId
string | null
externalProductId
string | null
country
string | null
country_code
string | null
depositAmount
number<double> | null
firstTransaction
boolean
grossRevenue
number<double> | null
revenueAmount
number<double>
wageredAmount
number<double> | null
taxes
number<double> | null
costOfGoodsSold
number<double> | null
paymentFees
number<double> | null
cpaQualified
boolean
revShareCommission
number<double>
cpaCommission
number<double>
fixedCommission
number<double>
transactionDate
string<date-time>
tracking
object | null
category
string | null
label
string | null
note
string | null
childAffiliateIds
string[] | null
payoutInfo
object | null
planId
string | null
planName
string | null